Login
curl --request POST \
--url https://open.beatpass.ca/api/v1/auth/login \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "example@gmail.com",
"password": "password",
"token_name": "iphone 12"
}
'import requests
url = "https://open.beatpass.ca/api/v1/auth/login"
payload = {
"email": "example@gmail.com",
"password": "password",
"token_name": "iphone 12"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'example@gmail.com', password: 'password', token_name: 'iphone 12'})
};
fetch('https://open.beatpass.ca/api/v1/auth/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"user": {
"id": 123,
"display_name": "<string>",
"avatar": "<string>"
}
}"<unknown>"Auth
Login
Authenticates a user and returns the user object.
POST
/
auth
/
login
Login
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on June 19, 2026
Was this page helpful?
⌘I